Subject: Re: [PATCH] t1509: update prepare script to be able to run t1509 in chroot again

From: Junio C Hamano <[email-masked]>
Date: Sat, 11 Apr 2015 12:58:58 -0700

Duy Nguyen <[email-masked]> writes:

> On Fri, Apr 3, 2015 at 7:01 PM, Jeff King <[email-masked]> wrote:
>> Aside from the nits above, I did get it to run t1509 with this. I can't
>> say I'm incredibly excited about the whole thing, if only because it is
>> clear that nobody is going to run it regularly (so regressions will
>> likely go unnoticed, which is the whole point of the test script).  But
>> perhaps it is better than nothing, and it is not hurting anyone to sit
>> there and bitrot again. ;)
>
> To be honest, I didn't run it often in the last 5 years. The code it
> protects seems not broken during this time and probably so for a
> foreseeable future. So I don't mind if you just kill t1509 and related
> scripts.

Yeah, but as long as you two worked out to make it run again on at
least two systems (i.e. yours), it would be good not to let that
effort go to waste. Care to throw a v2 at me with $(id -u) and other
changes Peff mentioned?

Thanks.